Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixAggUnarySpecialization

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixAggUnarySpecialization

public class LibMatrixAggUnarySpecialization extends Object
This class handel the generic case of aggregate Unary operations, it is only used in cases not optimized in LibMatrixAgg.

## Constructor Summary

Constructors
Constructor
Description
`LibMatrixAggUnarySpecialization()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`aggregateUnary(MatrixBlock mb, AggregateUnaryOperator op, MatrixBlock result, int blen, MatrixIndexes indexesIn)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LibMatrixAggUnarySpecialization

public LibMatrixAggUnarySpecialization()

## Method Details

### aggregateUnary

public static void aggregateUnary(MatrixBlock mb, AggregateUnaryOperator op, MatrixBlock result, int blen, MatrixIndexes indexesIn)